##########################################################
##################  所有profile共有的配置  #################
##########################################################
spring:
  profiles:
    active: postgre
  servlet:
    multipart:
      max-file-size: 50MB
      max-request-size: 80MB
  kafka:
    #139.198.17.169:9092
    bootstrap-servers: localhost:9092
    consumer: # 指定默认消费者group id
      group-id: 21e87b6b-175d-4600-a1f0-690c360ce532
mybatis-plus:
  global-config:
    enable-sql-runner: true
  configuration:
    # 配置结果集属性为空时 是否映射返回结果
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl #打印sql语句,调试用
#    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
###################  mybatis-plus配置  ###################
###################  casic配置  ###################
flowable:
  checkProcessDefinitions: false #不校验process文件
casic:
  swagger-open: false #是否开启swagger (true/false)
  kaptcha-open: false #是否开启登录时验证码 (true/false)
  muti-datasource-open: false #是否开启多数据源(true/false)
  spring-session-open: false #是否开启spring session,如果是多机环境需要开启(true/false)
  session-invalidate-time: 86400 #session失效时间(只在单机环境下生效，,多机环境在SpringSessionConfig类中配置) 单位：秒
  session-validation-interval: 900 #多久检测一次失效的session(只在单机环境下生效) 单位：秒
  extUrl: sys
  urlExclusion: /well/update,/well/add
  config:
    export-path: D:\java\boot\guns-web-1.0.0-SNAPSHOT\export\
    config-path: E:\Develop\IdeaProject\smartcity\casic-smartcity-dcms\casic-web\src\main\resources\config\
smartcity:
  config:
    export-path: E:\gwq\guns-smartcity\guns-web\src\main\resources\config\export\
    image-path: E:\gwq\guns-smartcity\guns-web\src\main\resources\config\image\
  sluicewell:
    coordinate-convert:
      coordinate: gaode
      baiduUrl: http://api.map.baidu.com/geoconv/v1/
      baiduAk: QL9aqGNjgcRAGkt6F0BrsVmfGGOgjVyr
      gaodeUrl: https://restapi.amap.com/v3/assistant/coordinate/convert
      gaodeKey: ab182d27663bbbaac890730b55db2754
  office:
    maxRowsExcel: 65536
  leaderRoleName: leader
  memberRoleName: member
  appRoleName: app
  adminRoleName: administrator
  opRoleName: operation
  device:
    redis:
      invalid-time: 86400
      host: localhost
      port: 6379
  useOverTime: false